package com.pm.subsystem.service;

import java.util.List;
import java.util.Map;
import com.pm.common.config.PageData;

/**
 * 广播分区Service接口
 *
 * @author system
 * @date 2025-01-06
 */
public interface IIbmsBroadcastZoneService
{
    /**
     * 查询广播分区
     *
     * @param id 广播分区主键
     * @return 广播分区
     */
    public PageData selectIbmsBroadcastZoneById(Long id);

    /**
     * 查询广播分区列表
     *
     * @param pd
     * @return 广播分区集合
     */
    public List<PageData> selectIbmsBroadcastZoneList(PageData pd);

    /**
     * 新增广播分区
     *
     * @param pd
     * @return 结果
     */
    public int insertIbmsBroadcastZone(PageData pd);

    /**
     * 修改广播分区
     *
     * @param pd
     * @return 结果
     */
    public int updateIbmsBroadcastZone(PageData pd);

    /**
     * 更新音量和静音状态
     *
     * @param pd
     * @return 结果
     */
    public int updateZoneVolume(PageData pd);

    /**
     * 控制广播播放
     *
     * @param pd
     * @return 结果
     */
    public Map<String, Object> controlBroadcast(PageData pd);

    /**
     * 紧急广播
     *
     * @param pd
     * @return 结果
     */
    public Map<String, Object> emergencyBroadcast(PageData pd);

    /**
     * 批量删除广播分区
     *
     * @param ids 需要删除的广播分区主键集合
     * @return 结果
     */
    public int deleteIbmsBroadcastZoneByIds(Long[] ids);

    /**
     * 删除广播分区信息
     *
     * @param id 广播分区主键
     * @return 结果
     */
    public int deleteIbmsBroadcastZoneById(Long id);
}



